<?php
/* 
 * Template Name: Category-page
 */

get_header();

	foreach( get_the_category() as $cat)
	{
		
		if($cat->category_parent == 0)
				$parent = $cat->cat_ID;

	
	}
	$parantCategory = get_category_parents($parent, FALSE,"",TRUE);
?>
 <?php  ?>
    <div class="ribbon" id="<?php echo $parantCategory; ?>">
    
    <div class="left half">
    	<h2><?php echo $parantCategory; ?></h2>
        	<?php echo category_description($parent); ?> 
    </div>
    
    </div>
    
	<div class="twothirds left">
        <?php 
		/*
		if($current_category == "Support")
		{
			query_posts('category_name=FAQ&showposts=10'); 
		}
		*/
		while (have_posts()) : the_post(); 
		$entryId = $post->ID;
		
		$latestPosts = get_post_meta($entryId, "latestPosts", true);
		$numPosts = (int)get_post_meta($entryId, "numPosts", true);
		$numDaysBack = (int)get_post_meta($entryId, "numDaysBack", true);
		$topPosts = get_post_meta($entryId, "topPosts", true);
		$excludeBlogs = explode(",",get_post_meta($entryId, "excludeBlogs", true));
		$excludeUsers = explode(",",get_post_meta($entryId, "excludeUsers", true));
		if(!$numDaysBack)
			$numDaysBack = 365;
		
		if(!$numPosts)
			$numPosts = 10;
			
		if($latestPosts)
		{	
			// display the latest posts
			if (function_exists("eb_recent_posts_mu")): 
			
			
				//ah_recent_posts_mu(10, 90, false, "<li>", "</li>");
				//var_dump(eb_recent_posts_mu(10,90));
				
				foreach (eb_recent_posts_mu($numPosts,$numDaysBack,$excludeBlogs,$excludeUsers) as $post): 
				
				$post_author = $post->post_author;
				if($post->guid == "")
				{
					global $wpdb;
					$blog_id = $post->blog_id;
					$query = "SELECT domain, path FROM $wpdb->blogs WHERE blog_id = $post->blog_id";
					$resultsInfo = $wpdb->get_results($query, ARRAY_A);
					$post->guid = "http://".$resultsInfo[0]['domain'].$resultsInfo[0]['path']."?p=".$post->ID;						
				}
				setup_postdata($post);
					?>

					<div class="entry">
						<h2 class="entry-header"><?php echo get_avatar_tag($post->post_author, 20); ?><a href="<?php echo $post->guid; ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
						<p class="postmetadata">Posted by <?php echo get_userdata($post->post_author)->display_name; ?></p>
						
						<div class="content">
						<?php the_excerpt(); ?> 
                        <a href="<?php echo $post->guid; ?>" title="<?php the_title();?>" class="more-link"><span class="read-more">continue reading...</span></a>
                        <p class="postmetadata">
                        <?php the_time(); ?>
                        </p>
						</div>
					</div>
				<?php endforeach; ?>
			<?php endif; 
		} elseif($topPosts)
		{
			
			// display the top posts
			 $topPostslist = zap_get_top_posts(array('days_back' => $numDaysBack, 'numberposts' => $numPosts));
			
		
		foreach($topPostslist as $post) :
			$authorID = $post->post_author;
		
			
		   setup_postdata($post);
			global $wpdb;
			$blog_id = $post->blog_id;
			$query = "SELECT domain, path FROM $wpdb->blogs WHERE blog_id = $post->blog_id";
			$resultsInfo = $wpdb->get_results($query, ARRAY_A);
			$post->guid = "http://".$resultsInfo[0]['domain'].$resultsInfo[0]['path']."?p=".$post->ID;			
			setup_postdata($post);		
	?>
		 <div class="entry">
		 <h2 class="entry-header"><?php echo get_avatar_tag($post->post_author, 20); ?><a href="<?php echo $post->guid; ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
		 <p class="postmetadata">Posted by <?php echo get_userdata($post->post_author)->display_name; ?></p>
		 
		 <div class="content">
		 <?php the_excerpt(); ?>
		 <a href="<?php echo $post->guid; ?>" title="<?php the_title();?>" class="more-link"><span class="read-more">continue reading...</span></a>
		 <p class="postmetadata">
	 
	  <?php the_time(); ?>
		 </p>
		 </div>
		 </div>
	<?php endforeach; 
		} 
		else 
		{
		
		?>
        <div class="entry">
           	<h2 id="post-<?php the_ID(); ?>" class="title"><?php echo get_avatar_tag($post->post_author, 20); ?><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
            
            <p class="postmetadata">Posted by <?php the_author();?></p>
			<div class="content"><?php the_content('<span class="read-more">continue reading...</span>', 'strip_teaser', 'more_file'); ?> </div>
               <p class="postmetadata">
             <?php the_tags('Tags: ', ', ', '<br />'); ?> 
             Posted in <?php the_category(' &bull; ') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php 
			 comments_popup_link('<span class="comments-span">0</span>', '<span class="comments-span">1</span>', '<span class="comments-span">%</span>'); ?> | <?php the_date(); ?></p>
        </div>

    <?php 
	}
	endwhile; ?> 
	</div>  
    <div class="onethird right">
    <ul class="side-nav">
    <?php 
		
     wp_list_categories("depth=1&child_of=$parent&use_desc_for_title=0&title_li="); 
	 ?>
    </ul>
    </div>
<?php
get_footer();
?>
    

