<?php
/*
Template Name: Tags
*/


 get_header(); ?>
	<div class="ribbon" id="tagsPage">
	 <div class="left half">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <h2><?php the_title(); ?></h2>
        <?php the_content(); ?>
        <?php edit_post_link('edit', '<p class="edit-page">', '</p>'); ?>
        <?php endwhile; else: 
      
		query_posts('pagename=tags');
		while (have_posts()) : the_post(); ?>
		<h2><?php the_title(); ?></h2>
        <?php the_content(); ?>
        <?php edit_post_link('edit', '<p class="edit-page">', '</p>'); ?>
        
        <?php endwhile; endif; ?>
        </div>
    </div>
   
	<?php if (tag_results()): ?>
	<?php global $post; ?> 
    <div class="twothirds left">
    
    <h2 class="alt2">Recent posts tagged "<?php current_tag();?>" <span class="small"><a href="/tags" title="back to tags">view all tags</a></span></h2>
    
   
    <?php foreach (tag_results() as $post): 
	$authorID = $post->post_author;
	if($post->guid == "")
	{	
		global $wpdb;
		$blog_id = $post->blog_id;
		$query = "SELECT domain, path FROM $wpdb->blogs WHERE blog_id = $post->blog_id";
		$resultsInfo = $wpdb->get_results($query, ARRAY_A);
		$post->guid = "http://".$resultsInfo[0]['domain'].$resultsInfo[0]['path']."?p=".$post->ID;
		
	}
	setup_postdata($post); 
	?>
		
	<div class="entry">
		<h2 class="entry-header"><?php echo get_avatar_tag($authorID, 20); ?><a href="<?php the_guid() ?>" rel="bookmark" title="Permanent link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>             
		<p class="postmetadata">Posted by <?php the_author();?></p>
		
		<div class="content">
			<?php the_excerpt(); ?>
			<a href="<?php echo $post->guid; ?>" title="<?php the_title();?>" class="more-link"><span class="read-more">continue reading...</span></a>
			<p class="postmetadata">
			<?php the_date(); ?></p>
		</div>
		
	</div>
    <?php endforeach; ?>
    
    <?php else : ?>
        <div class="tag-cloud">
            <ul>
            <?php mu_tag_cloud(); ?>
            </ul>
        </div>
    <?php endif; ?>
        
    
    
<?php get_footer(); ?>