<?php
	header('Content-type: text/css');
	$cached_file = "style.css";
	
	// to update the contents of the cached file 
	// /wp-content/themes/ubcblogs/css/style.php?new=yes
	if(!isset($_GET["new"])):
		$css = file_get_contents($cached_file);     
		echo $css;
	else:
	
	$darkColour 	= "#5C7479"; // /013249/513C7E/3D718D /1C1919// dark blue
	$contrastColour	= "#8BB350"; // /666/013249"; // green 
	$lightColour	= "#FFF";    // white
	$mainTextColour = "#566441"; // dark green
	$middleColour 	= "#EEAA1C"; // / / / / 
	$neutralColour 	= "#EFF1EB"; // /F2EFEA / / / 
	$flatBackground = "#E3E3E6"; // /005271 / / / 
	$ribbonColour 	= "#8BB350"; //8CBA26 // green
	$ribbonHeaderColor	= "#EFF1EB"; 
	$alt1Colour		= "#EEAA1C"; // orange 
	$alt2Colour		= "#EEAA1C"; // orange 
	$featureColour 	= "#EFF1EB"; // light gray green
	$metaColour 	= "#5C7479"; // dark blue 
	
	
	
	$lightsOffColour	= "#222";
	$lightsOffColourMedium1 = "#444";
	$lightsOffColourMedium2 = "#666";
	$lightsOffColourLight = "#AAA";
	
	// needed for categories side-nav
	$root = preg_replace('/wp-content.*/', '', __FILE__);
	require_once($root . 'wp-config.php');
	
	ob_start();
	
?>@charset "utf-8";
/* CSS Document */
/* PLEASE MAKE ALL THE CHANGES TO style.php */
/*
 * a start of something Beautuiful
 */
body{
	background:<?=$flatBackground;?>;  url(img/bg.png) repeat-x top;
    color:<?=$mainTextColour?>;
}
a{
	color:<?=$darkColour;?>;
}
a:hover{
	color: <?=$middleColour;?>;
}
h2,h3,h4{
	color:<?=$metaColour;?>
}
#ubcheader{
	background: <?=$darkColour;?>;
}
#ubcheader a:hover{
	background:none;
}

.container{
	background: <?=$lightColour;?>;
}
#header{
	background:<?=$flatBackground;?>; url(img/bg.png) repeat-x top;
}
#header h1 a{
	padding-bottom:35px;
	background: url(img/Logo.png) no-repeat 0 30px;
	text-decoration:none;
    height:88px;
    width:245px;
    text-indent: -5000px;
    display:block;
	color:<?=$darkColour;?>;
}
#header h1 a:hover{
	
}
#header h1 a span{
	color:#8CBA26;<?=$lightColour;?>;
}
#nav{
	background:<?=$lightColour;?>;
    position:relative;
}
/*
 * Logged in Panel
 */
#logout-home{
	font-size:.6em;
	font-weight:bold;
}
#logout-home a{
	color:<?=$middleColour;?>;
   
}
.right-align-shell{
    margin-right:10px;
    margin-bottom:10px;
}
#not-loggedin,#loggedin{
	background:<?=$neutralColour;?>;
	padding:15px 10px 15px;
    text-align:center;
}
#not-loggedin {
	margin:0;
}
#not-loggedin img{
	margin-left:10px;
	margin-bottom:-7px;
}
#not-loggedin strong em{
	font-weight:bold;
}
#loggedin {
	padding:10px 10px;
	text-align:left;
}
#loggedin img{
	float:left;
    margin-right:10px;
}
#mainnav{
	padding:5px 0 7px;
	margin:0 10px;
	font-size:138.5%;
	list-style:none;
}
#mainnav li{
	padding-right:10px;
	display:inline;
}
#mainnav li a{
	padding:2px 6px;
	text-decoration:none;
	color:<?=$darkColour;?>;
}
#mainnav li a:hover{
	color:<?=$middleColour;?>;
}
.ribbon{
	height:170px;
	padding:10px 0 10px;
    margin-bottom:10px;
	color:<?=$ribbonHeaderColor;?>;
    background:<?=$ribbonColour;?>;
    position:relative;
    
}
.ribbon h2{
	color:<?=$ribbonHeaderColor;?>;
   	line-height:1em;
    font-size:282%;
    padding-bottom:10px;
    text-transform:capitalize;
}
.ribbon h4{
	color:<?=$lightColour;?>;
    font-size:130%;
    font-weight:bold;
}
.ribbon a{
	color:<?=$lightColour;?>;
    font-weight:600;
    text-decoration:none;
    text-style:italic;
    border-bottom:1px dotted #FFF;
}
/* link to edit the page - in the ribbon*/
.edit-page{
    margin:0;
    position:absolute;
    right:50%;
    top:5px;
}
.ribbon a:hover{
	border-bottom:1px solid #EEE;
    background:none;
}
.ribbon p{
	font-size:131%;

}
#commentary{
	background:url(img/commentary.gif) repeat-x bottom;
    border:none;
}
#cloud{
	background: url(img/CloudLarge.gif) no-repeat top left;
    float:left;
    width:458px;
    height:213px;
    margin-left:-45px;
    margin-top:0px;
    padding:50px 0 0 65px;
    position:relative;
}
.push{
	position:relative;
	margin-top:-225px;
}
.pullsmall{
	position:relative;
	margin-top:-70px;
}
#featured-bloggers{
	
}
/*
#cloud-text{
	padding: 0 10px;
	color:<?=$mainTextColour?>;
    width:400px;
	height:200px;
    
}
#cloud-text h2{
	color:<?=$middleColour;?>;
	font-size:182%;
    font-weight:normal;
}
#cloud-text p{
	font-size:118%;
    font-weight:normal;
}
#cloud-text h2 a{
	color:<?=$middleColour;?>;
}
#cloud-text h2 a:hover{
    color:<?=$metaColour;?>;
    border:none;
}
#cloud-text  a{
	font-weight:normal;
	text-decoration:none;
	color:<?=$mainTextColour?>;
}
#cloud-text p.postbyline{
	font-size:77%;
    color:<?= $metaColour;?>;
}
#w760 #cloud{
	background:  url(img/CloudSmall.png) no-repeat top left;
    width:354px;
    margin-left:-49px;
    margin-top:-5px;
    padding:50px 0 0 80px ;
}
#w760 #cloud-text{
    width:320px;
	height:250px;    
}
#slide-nav{
	position:absolute;
    top:42px;
   	left:13px;
	display:block;
    text-align:right;
}
#slide-nav li{
	display:inline;
    padding:0 2px;
}
#slide-nav a{
	color:<?=$ribbonColour;?>;
   
}
#slide-next{
	padding-right:14px;
    background:#FFF url(img/readmore.gif) no-repeat 28px -64px; 
}
#slide-next:hover{
	 color:<?=$darkColour?>;
	  background:#FFF url(img/readmore.gif) no-repeat 28px 2px; 
}
#slide-prev{
	padding-left:14px;
     background:#FFF url(img/readless.gif) no-repeat 0 -64px; 
}
#slide-prev:hover{
	 color:<?=$darkColour?>;
	 background:#FFF url(img/readless.gif) no-repeat 0 2px; 
}
*/


#quicklinks ul{
	margin:0;
    padding:0px 5px 0;
}
#quicklinks ul li {
	margin-bottom:10px;
}
#quicklinks ul ul li{
	margin-bottom:0;
}
#quicklinks h4{
   	margin:3px 0 0 5px;
    padding:0;
	font-weight:bold;
}
#quicklinks 
{
	margin-bottom:18px;
}

/*
#tags h2 ,#quicklinks h2{
	border-bottom:2px solid <?=$neutralColour;?>;
    margin-right:10px;
}
*/
#tags ul{
	margin:3px 0 18px;
}
#tags h2 span{
	font-size:10px;
}
.tag-list,.tag-cloud{
	font-size:76%;
	padding:0 12px;
}
.tag-list li,
.tag-cloud li {
	display:inline;
    line-height:240%;
}
.tag-list li a,
.tag-cloud li a{
	text-decoration:none;
}
.heading {
	padding-bottom:5px;
}
.heading h3{
    padding:0;
	display:inline;
    color:<?=$alt1Colour;?>
}
.via {
	padding-left:20px;
    background:<?=$darkColour;?> url(img/via.gif) no-repeat left center;
}
.via a{
	background:<?=$lightColour;?>;
    font-weight:bold;
}
/*
 * Flickr badge on the home page
 */
#flickr_badge_uber_wrapper {
    clear:both;
}
#flickr_badge_uber_wrapper div{
    display:inline;
    margin-right:10px;
}
#flickr_badge_uber_wrapper div.center{
	padding-left:22px;
}
#flickr_badge_uber_wrapper .heading{
    display:block;
}
/*
 *  Style of Enties 
 */
.entry {
	padding:10px 0 10px;
    border-bottom:2px solid <?=$neutralColour;?>
}
div.entry {
	margin:0 1.5em 0 1.5em;
}
.entry .title{
	font-size:197%;
}
.entry .title a{
	margin-right: 8px;
	color:<?=$contrastColour;?>;
	text-decoration:none;
}
.entry-header a{ /* COMUNITY PAGE */
	margin-right: 8px;
	color:<?=$contrastColour;?>;
	text-decoration:none;
	font-size:131%;
}
.entry .title a:hover,.entry-header a:hover{
	color:<?=$metaColour;?>;
}

.cont{ /* COMUNITY PAGE */
	padding-left:20px;
	margin:0;
    font-size:120%;
    background:#FFF url(img/readmore.gif) no-repeat 3px 1px;
    font-weight:bold;
    text-decoration:none;
}
.cont:hover{
	 background:#FFF url(img/readmore.gif) no-repeat 3px -65px;
     color:<?=$ribbonColour;?>;
}
.entry .content{
	line-height:1.4em;
	padding-top:10px;
}
.entry .date{
	text-transform:capitalize;
    font-size:85%;
    font-weight:bold;
}
.entry li{
	margin:0 0 0 25px;
    list-style-type: circle;
}
.entry ol li{
	margin:0 0 0 25px;
    list-style-type: decimal;
}
.postmetadata{
	clear:both;
	color:<?=$metaColour;?>;
    font-size:77%;
    position:relative;
    margin:0;
}
.more-link{
	line-height:2em;
	font-weight:bold;
    padding:2px 6px;
    text-align:center;
    float:right;    
}
/* 
 * Embeded wiki content 
 */
.entry #wiki-inc-content {
  
}
.entry #wiki-inc-content .editsection{
	display:none;
}
.entry #wiki-inc-content .infobox{
	float:right;
    background:<?=$featureColour;?>;
    margin:10px;
    margin-right:0;
}
.entry #wiki-inc-content #toc{
	display:none;
}
.entry #wiki-inc-content p br{
	display:none;
}

.entry #wiki-inc-content div{
	margin-left:10px;
    padding:0;
}
.entry #wiki-inc-content div div{
	margin:0;
}
.entry #wiki-inc-content .tright {
	float:right;
    border:2px solid <?=$featureColour;?>;
    padding:5px;
}
/* 
 * Some sort of Comments
 */
.comments-span{
	background:<?=$darkColour;?> url(img/comment.gif) no-repeat -12px 0;
   	padding:4px 10px;
   	color:<?=$lightColour;?>;
    width:19px;
    line-height:19px;
    text-decoration:none;
}
a:hover .comments-span{
	background:<?=$middleColour;?> url(img/comment.gif) no-repeat -12px 0;
}
/* 
 * Support Page 
 */
.sub-section{
    padding:10px 0 0 60px;
    margin-left:1.5em;
    
}
.sub-section h3 {
	margin-left:-60px;
    
}
.sub-section h3 a{
	
	padding:0 0 20px 60px;
    height:50px;
	font-size:167%;
    text-decoration:none;
    color:<?=$contrastColour;?>;
}
.sub-section h3 a:hover{
	color:<?=$metaColour;?>;
}
/* 
 * Recent Community Page
 */

.recent ul{
	margin:0;
}

/* 
 * Comments
 */
.commentlist{
    margin-left:10px;
}
.commentlist div{
	padding:10px;
}
.commentlist .alt{
	background:<?=$neutralColour;?>;
}
.commentlist .commentmetadata {
	display:block;
	text-align:right;
    margin-top:-1.2em;
    font-size:85%;
}
.commentlist .comment-text {
	padding:0;
	margin:10px 10px 0 47px;
}
.comment-avatar{
	width:50px;
    height:50px;
    float:left; 
}
.commentlist cite{
	font-weight:bold;
}

/*
 * Comments Form
 */
#comment-response{
    border:solid 2px #b7ddf2;
    background:#ebf4fb;
    margin:10px 0 0 10px;
    padding:10px 0;
}

#comment-response p{
    font-size:11px;
    color:#666666;
    margin-top:10px;
    border-top:solid 1px #b7ddf2;
    padding-top:10px;
}
#comment-response label{
    display:block;
    font-weight:bold;
    text-align:right;
    width:25%;
    float:left;
}
#comment-response small{
    color:#666666;
    display:block;
    font-size:11px;
    font-weight:normal;
    text-align:right;
    width:100%;
}
#comment-response input{
    float:left;
    font-size:12px;
    padding:4px 2px;
    border:solid 1px #aacfe4;
    width:64.5%;
    margin:2px 0 20px 10px;
}
#comment-response textarea{
	width:65%;
    border:solid 1px #aacfe4;
    margin-left:10px;
}
#comment-response button{
    clear:both;
  	margin-left:66.9%;
    width:25%;
    border:1px solid #333;
    height:31px;
    background:#666666;
    text-align:center;
    line-height:31px;
    color:<?=$lightColour;?>;
    font-size:11px;
    font-weight:bold;
    margin-top:5px;
    line-height:20px;
}
#recaptcha_area{
	margin-top:5px;
    text-align:right;
    margin-left:26.5%;
}

/*
 * Featured site list
 */
.side-nav{
	margin-left:7px;
}
.side-nav li{
	padding:5px 0;
   
}
.side-nav li.the-one,

.side-nav li.current-cat a{

  	
}
.side-nav li.current-cat {
	background:#FFFFD4;
    /*
		border:2px solid <?=$contrastColour;?>;
         */
        margin-left:-10px;
        padding-left:10px;
      
}
.side-nav li a{
	display:block;
    width:80%;
    margin-left:-5px;
    padding:10px 0 10px 70px;
	text-decoration:none;
	color:<?=$contrastColour;?>
}
.side-nav li a:hover{
	color:<?=$alt1Colour;?>
}


/*
 * Screencasts
 */

.content-video{
    margin:0;
    padding:5px 0;
    	background:<?=$neutralColour;?>;
}
.content-video .vvqbox{
	margin:0 auto;
}
.side-nav-video {
	margin-left:7px;
}
.side-nav-video li{
	padding:2px 0;
    clear:left;
    margin:10px -10px 10px 0;
   
}
.side-nav-video li a img{
	float:left;
    padding:5px;
    margin:0 5px 0 0;
    border:2px solid #AAA;
    background:#EEE;
}
.side-nav-video li.the-one{
	background:<?=$neutralColour;?>;
    margin-left:-5px;
    padding-left:5px;
}
.side-nav-video li a{
	height:70px;
	display:block;
    width:100%;
    margin-left:-5px;
    padding:2px 0 2px 5px;
	text-decoration:none;
    font-size:100%;
    letter-spacing:-1px;
    font-weight:bold;
}
.side-nav-video li a:hover{
	background:#EEE;
}

/* 
 * Lights Off
 */
 #lights{

 }
body.lightsoff,
body.lightsoff #header{
	background:<?=$lightsOffColour;?>;
}

body.lightsoff .ribbon{
	background:<?=$lightsOffColour;?>;
}
body.lightsoff .container,
body.lightsoff hr,
body.lightsoff #nav,
body.lightsoff .rounded *,
body.lightsoff .entry
{
	background: <?=$lightsOffColour;?>;
    border-color:<?=$lightsOffColour;?>;
}
body.lightsoff .featureRounded *,
body.lightsoff .content-video {
	background: <?=$lightsOffColourMedium1;?>;
    border-color:<?=$lightsOffColourMedium1;?>;
}
body.lightsoff .alt1{
	background: <?=$lightsOffColourMedium2;?>;
}



/* 
 * Misa
 */
.video{
    padding: 5px 10px;
	background:<?=$neutralColour;?>;
}
.roundbox{
	background:<?=$neutralColour;?>;
}
.nobr{
	border:none;
}
/** WORDPRESS STYLE 
*/
.aligncenter,
div.aligncenter {
   display: block;
   margin-left: auto;
   margin-right: auto;
}

.alignleft {
   float: left;
}

.alignright {
   float: right;
}

.wp-caption {
   border: 1px solid #ddd;
   text-align: center;
   background-color: #f3f3f3;
   padding-top: 4px;
   margin: 10px;
   /* optional rounded corners for browsers that support it */
   -moz-border-radius: 3px;
   -khtml-border-radius: 3px;
   -webkit-border-radius: 3px;
   border-radius: 3px;
}

.wp-caption img {
   margin: 0;
   padding: 0;
   border: 0 none;
}

.wp-caption p.wp-caption-text {
   font-size: 11px;
   line-height: 17px;
   padding: 0 4px 5px;
   margin: 0;
}

<?php
$categories = get_categories();
foreach ($categories as $cat) { 
	switch($cat->category_nicename) 
	{
	case "commentary" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/communitySpirit.gif);
        background-repeat:no-repeat;
		background-position:0 0px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -80px; 
	}
    <?php break;
	case "featured" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/communitySpirit.gif);
        background-repeat:no-repeat;
		background-position:0 -160px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -240px; 
	}
	<?php break;
	case "latest-posts" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/communitySpirit.gif);
        background-repeat:no-repeat;
		background-position:0 -320px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -400px; 
	}
	<?php break;
	case "top-posts" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/communitySpirit.gif);
        background-repeat:no-repeat;
		background-position:0 -480px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -560px; 
	}
	<?php break;
	case "faq" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/supportSpirit.gif);
        background-repeat:no-repeat;
		background-position:0 0px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -80px; 
	}
	<?php break;
	case "how-to" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/supportSpirit.gif);
        background-repeat:no-repeat;
		background-position:0 -160px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -240px; 
	}
	<?php break;
	case "resources" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/supportSpirit.gif);
        background-repeat:no-repeat;
		background-position:0 -320px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -400px; 
	}
	<?php break;
	case "screencasts" : ?>
	.cat-item-<?=$cat->term_id;?> a{
        background-image:url(img/supportSpirit.gif);
        background-repeat:no-repeat;
		background-position:0 -480px;
	}
    .cat-item-<?=$cat->term_id;?> a:hover{  
	background-position:0 -560px; 
	}
	<?php break;
	case "updates" : ?>
    
.cat-item-<?=$cat->term_id;?> a{
    background-image:url(img/supportSpirit.gif);
    background-repeat:no-repeat;
    background-position:0 -640px;
}
.cat-item-<?=$cat->term_id;?> a:hover{  
background-position:0 -720px; 
}
	<?php break;
	}
	
}

?>



/*
 * ALT Classes
 */
.alt1, .alt3, .alt4 {
	background-image:url(img/alt.gif);
	background-repeat:no-repeat;
	background-position: left bottom;
    margin-right:10px;
}

.alt1{
	padding:5px 10px 10px;
	background-color:<?=$alt1Colour;?>;
    color:<?=$lightColour;?>;    
}
.alt2{
	font-size:171%;
	padding-left:35px;
	color:<?=$alt2Colour;?>;
    padding-bottom:10px;
}
.alt2 .small{
	font-size:60%;
}
.alt3, .alt4{
	color:#FFF;
    background-color:<?= $middleColour; ?>;
   	margin-top:5px;
    padding:6px 0px 8px 8px;
    font-size:131%;
    
}
.alt4{
	 background-color:<?= $middleColour; ?>;
}
.alt3 a{
	padding-left:5px;
	color:<?= $lightColour; ?>
}
.alt3 a:hover{
	
	color:<?= $metaColour; ?>;
}

/* 
 * Rounded Corners 
 */

.rounded{display:block}
.rounded *{
  display:block;
  height:1px;
  overflow:hidden;
  font-size:.01em;
  background:<?=$lightColour;?>}
.rounded1{
  margin-left:3px;
  margin-right:3px;
  padding-left:1px;
  padding-right:1px;
  border-left:1px solid <?=$flatBackground;?>;
  border-right:1px solid <?=$flatBackground;?>;
  background:<?=$flatBackground;?>}
.rounded2{
  margin-left:1px;
  margin-right:1px;
  padding-right:1px;
  padding-left:1px;
  border-left:1px solid <?=$flatBackground;?>;
  border-right:1px solid <?=$flatBackground;?>;
  background:<?=$flatBackground;?>}
.rounded3{
  margin-left:1px;
  margin-right:1px;
  border-left:1px solid <?=$flatBackground;?>;
  border-right:1px solid <?=$flatBackground;?>;}
.rounded4{
  border-left:1px solid <?=$flatBackground;?>;
  border-right:1px solid <?=$flatBackground;?>}
.rounded5{
  border-left:1px solid <?=$flatBackground;?>;
  border-right:1px solid <?=$flatBackground;?>}
.roundedfg{
  background:<?=$lightColour;?>}
  
.featureRounded *{
  display:block;
  height:1px;
  overflow:hidden;
  font-size:.01em;
  background:<?=$featureColour;?>}
.featureRounded1{
  margin-left:3px;
  margin-right:3px;
  padding-left:1px;
  padding-right:1px;
  border-left:1px solid <?=$featureColour;?>;
  border-right:1px solid <?=$featureColour;?>;
  background:<?=$featureColour;?>}
.featureRounded2{
  margin-left:1px;
  margin-right:1px;
  padding-right:1px;
  padding-left:1px;
  border-left:1px solid <?=$featureColour;?>;
  border-right:1px solid <?=$featureColour;?>;
  background:<?=$featureColour;?>}
.featureRounded3{
  margin-left:1px;
  margin-right:1px;
  border-left:1px solid <?=$featureColour;?>;
  border-right:1px solid <?=$featureColour;?>;}
.featureRounded4{
  border-left:1px solid <?=$featureColour;?>;
  border-right:1px solid <?=$featureColour;?>}
.featureRounded5{
  border-left:1px solid <?=$featureColour;?>;
  border-right:1px solid <?=$featureColour;?>}
  
  <?php 
  $css = ob_get_contents();
  ob_end_clean();
 
  	$fh = fopen($cached_file, 'w') or die("can't open file:".$cached_file);
	
	fwrite($fh, $css);

	fclose($fh);
	endif;
  ?>
